import 'dart:ui';

import 'package:flutter/foundation.dart';
import '../utils/locale_extension.dart';

abstract class AssetLoader {
  const AssetLoader();

  Future<Map<String, dynamic>> load(Locale locale);

  @protected
  String getAssetPath(Locale locale) =>
      'packages/sf_localizations/assets/l10n/${locale.fileName}.json';
}
